package com.utic.center.utic.traf.server.dto;

import lombok.*;

import java.io.Serializable;

@Data
public class LinkTrafState implements Serializable {
    private static final long serialVersionUID = 1L;

    private boolean state;    // 값의 상태
    private TRAFFIC_CRT_DATA_TYPE crtDataType;    // 정보생성 유형
    private String missValueYn;
    private String dataResType;
    private Integer trafficGrade;   // 소통등급(0,1,2,3)

    public LinkTrafState() {
        init();
    }

    public void init() {
        this.state = false;
        this.crtDataType = TRAFFIC_CRT_DATA_TYPE.CRT_DATA_FAIL;
        this.trafficGrade = 0;
        this.missValueYn = "";
        this.dataResType = "";
    }

    @Getter
    public enum TRAFFIC_CRT_DATA_TYPE {
        CRT_DATA_FAIL(0, "정보생성 하지 못함(결측)"),
        CRT_DATA_NORMAL(1, "수집데이터 이용 생성"),
        CRT_DATA_MISSING(2, "현재 패턴 데이터 이용 생성"),
        CRT_DATA_LINK_GROUP(3, "링크그룹의 데이터 이용 생성");

        private final Integer value;
        private final String desc;
        TRAFFIC_CRT_DATA_TYPE(Integer value, String desc) {
            this.value = value;
            this.desc = desc;
        }
    }
}
